tigase.monitor

## Enum TaskConfigItem.Type

- java.lang.Object
- - java.lang.Enum<TaskConfigItem.Type>
  - - tigase.monitor.TaskConfigItem.Type

- All Implemented Interfaces:
    Serializable, Comparable<TaskConfigItem.Type>
  Enclosing class:
    TaskConfigItem

      public static enum TaskConfigItem.Type
      extends Enum<TaskConfigItem.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `scriptTask`
    `scriptTimerTask`
    `task` Default task, built with standard java class.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TaskConfigItem.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TaskConfigItem.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### scriptTask

          public static final TaskConfigItem.Type scriptTask

    - #### scriptTimerTask

          public static final TaskConfigItem.Type scriptTimerTask

    - #### task

          public static final TaskConfigItem.Type task

      Default task, built with standard java class.

  - ### Method Detail

    - #### values

          public static TaskConfigItem.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TaskConfigItem.Type c : TaskConfigItem.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TaskConfigItem.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2004–2021 "Tigase, Inc.". All rights reserved.